## grails.web.container
Interface EmbeddableServerFactory

All Known Implementing Classes:
  JettyServerFactory

    public interface EmbeddableServerFactory

An interface for server vendors to implement in order to provide the ability to embed a container within Grails' run-app command.

Since:
  1.1

  Created: Jan 7, 2009
Author:
  Graeme Rocher

Method Summary
`EmbeddableServer` `createForWAR(String warPath, String contextPath)` Creates a EmbeddableServer instance for the given WAR file and context path
`EmbeddableServer` `createInline(String basedir, String webXml, String contextPath, ClassLoader classLoader)` Creates an inline server for the the given base directory, web.xml file and class loader

Method Detail

### createInline

    EmbeddableServer createInline(String basedir,
                                  String webXml,
                                  String contextPath,
                                  ClassLoader classLoader)

  Creates an inline server for the the given base directory, web.xml file and class loader

  Parameters:
    `basedir` - The base directory
    `webXml` - The web.xml location
    `classLoader` - The class loader to use
    `contextPath` - The context path of the application
  Returns:
    The EmbeddableServer instance

### createForWAR

    EmbeddableServer createForWAR(String warPath,
                                  String contextPath)

  Creates a EmbeddableServer instance for the given WAR file and context path

  Parameters:
    `warPath` - The path to the WAR
    `contextPath` - The context path
  Returns:
    The EmbeddableServer instance

Copyright (c) 2005-2009 The Grails project